bootstrap directory

This commit is contained in:
Daniel Yrovas 2022-03-23 21:37:49 +11:00
parent 70b1001864
commit 53f958288a
Signed by: danielyrovas
GPG key ID: 502473574FB06D96
3 changed files with 37 additions and 0 deletions

24
.config/yadm/bootstrap Normal file
View file

@ -0,0 +1,24 @@
#!/bin/bash
# Save this file as ~/.config/yadm/bootstrap and make it executable. It will
# execute all executable files (excluding templates and editor backups) in the
# ~/.config/yadm/bootstrap.d directory when run.
set -eu
# Directory to look for bootstrap executables in
BOOTSTRAP_D="${BASH_SOURCE[0]}.d"
if [[ ! -d "$BOOTSTRAP_D" ]]; then
echo "Error: bootstrap directory '$BOOTSTRAP_D' not found" >&2
exit 1
fi
find -L "$BOOTSTRAP_D" -type f | sort | while IFS= read -r bootstrap; do
if [[ -x "$bootstrap" && ! "$bootstrap" =~ "##" && ! "$bootstrap" =~ "~$" ]]; then
if ! "$bootstrap"; then
echo "Error: bootstrap '$bootstrap' failed" >&2
exit 1
fi
fi
done

View file

@ -0,0 +1,8 @@
#!/bin/sh
# Because Git submodule commands cannot operate without a work tree, they must
# be run from within $HOME (assuming this is the root of your dotfiles)
cd "$HOME"
echo "Init submodules"
yadm submodule update --recursive --init

View file

@ -0,0 +1,5 @@
#!/bin/sh
echo "Updating the yadm repo origin URL"
yadm remote set-url origin "gitea@danielyrovas.com:dev/dotfiles.git"